Bug 253757 - Review Request: tesseract-langpack - Langpacks for tesseract
Review Request: tesseract-langpack - Langpacks for tesseract
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 14:27 EDT by Karol Trzcionka
Modified: 2011-01-19 16:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 12:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Karol Trzcionka 2007-08-21 14:27:52 EDT
Spec URL: http://karlik.nonlogic.org/tesseract/tesseract-langpack.spec
SRPM URL: http://karlik.nonlogic.org/tesseract/tesseract-langpack-2.00-1.fc7.src.rpm
Description:
Langpacks for tesseract. The english version is included in core package.
It will be working with: http://karlik.nonlogic.org/tesseract/tesseract.spec
Comment 1 Dominik 'Rathann' Mierzejewski 2007-08-21 16:06:54 EDT
Some comments after a quick glance:

Tarball versioning suggests that these files are for tesseract version 2.0. I
think you should use Requires: %{upstreamname} = %{version}. They might work
with newer releases, too, but check with upstream if this is true or not.

In each %files section, you should mark the files using the %lang macro, i.e.:
%lang(fr) %{_datadir}/%{upstreamname}/tessdata/fra*

I might do a formal review in a few days, if nobody beats me to it.
Comment 2 Karol Trzcionka 2007-08-21 16:24:33 EDT
see: http://code.google.com/p/tesseract-ocr/downloads/list
There is that the lagpacks are for 2.00 and up
Thanks for suggest with %lang, I will fix it after review (with other changes or
before build on koji).
Comment 3 Michał Bentkowski 2007-08-24 08:06:46 EDT
REVIEW:
 * rpmlint:
W: tesseract-langpack-de no-documentation
E: tesseract-langpack-de zero-length /usr/share/tesseract/tessdata/deu.user-
words
W: tesseract-langpack-es no-documentation
E: tesseract-langpack-es zero-length /usr/share/tesseract/tessdata/spa.user-
words
W: tesseract-langpack-fr no-documentation
E: tesseract-langpack-fr zero-length /usr/share/tesseract/tessdata/fra.user-
words
W: tesseract-langpack-it no-documentation
E: tesseract-langpack-it zero-length /usr/share/tesseract/tessdata/ita.user-
words
W: tesseract-langpack-nl no-documentation
E: tesseract-langpack-nl zero-length /usr/share/tesseract/tessdata/nld.user-
words
E: tesseract-langpack-nl script-without-shebang /usr/share/tesseract/tessdata/
nld.DangAmbigs

nld.DangAmbigs has to be chmoded -x

 * sums (sha1):
d8d89e2681421a144f3a1ec61ee0c530686f5096  tesseract-2.00.deu.tar.gz
24f58cab2b1418816ba09e6f28e33aee34605889  tesseract-2.00.fra.tar.gz
8ac6c41708950660fd66789f5925068577fb89b1  tesseract-2.00.ita.tar.gz
8bc0a5877c1992ab10a9e124643fd9006ff30350  tesseract-2.00.nld.tar.gz
49206b79407cb23bc23b1cd95bee02544f2fcf9b  tesseract-2.00.spa.tar.gz

every sum matches with one given on http://code.google.com/p/tesseract-ocr/
downloads/list

everything else is fine. 

(In reply to comment #1)
> In each %files section, you should mark the files using the %lang macro, i.e.:
> %lang(fr) %{_datadir}/%{upstreamname}/tessdata/fra*

It doesn't need to be done while these aren't locale files actually, but 
language data files.

I'll approve this. Just chmod -x nld.DangAmbigs when you submit this.
Comment 4 Karol Trzcionka 2007-08-24 08:44:14 EDT
New Package CVS Request
=======================
Package Name: tesseract-langpack
Short Description: Langpacks for tesseract
Owners: karlikt@gmail.com
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-08-24 11:52:16 EDT
cvs done.
Comment 6 Karol Trzcionka 2007-08-24 12:34:31 EDT
Thanks.
Comment 7 Simon 2011-01-19 16:33:48 EST
Karol, please add a SCM request for EL-6 as well like in tesseract.
https://bugzilla.redhat.com/show_bug.cgi?id=220979#c19
Comment 8 Karol Trzcionka 2011-01-19 16:47:03 EST
Package Change Request
======================
Package Name: tesseract-langpack
New Branches: el6
Owners: karlik cassmodiah
Comment 9 Jason Tibbitts 2011-01-19 16:57:04 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.